package org.jeecg.pm.hikvision.sdk.request.vss.record;

import com.chanjx.utils.HttpMethod;
import org.apache.http.entity.ContentType;
import org.jeecg.pm.hikvision.sdk.request.HikvisionAbstractRequest;
import org.jeecg.pm.hikvision.sdk.response.vss.record.HikvisionEndManualRecordResponse;
import org.jeecg.pm.hikvision.sdk.result.vss.record.HikvisionEndManualRecordResult;

/**
 * <p>
 *
 * </p>
 *
 * @author 陈俊雄
 * @since 2022/3/25
 */
public class HikvisionEndManualRecordRequest extends HikvisionAbstractRequest<HikvisionEndManualRecordResponse, HikvisionEndManualRecordResult> {

    @Override
    public ContentType getContentType() {
        return ContentType.APPLICATION_JSON;
    }

    @Override
    public Class<HikvisionEndManualRecordResponse> getResponseClazz() {
        return HikvisionEndManualRecordResponse.class;
    }

    @Override
    public Class<HikvisionEndManualRecordResult> getResultClazz() {
        return HikvisionEndManualRecordResult.class;
    }

    @Override
    public HttpMethod getHttpMethod() {
        return HttpMethod.POST;
    }

    @Override
    public String getReqPath() {
        return "/openapi/service/vss/record/endManualRecord";
    }
}
